Bug 1651231 - glib2-devel.i686 conflicts with the x86_64 package
Summary: glib2-devel.i686 conflicts with the x86_64 package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 13:40 UTC by Zoltan Boszormenyi
Modified: 2019-11-27 20:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:29:59 UTC


Attachments (Terms of Use)
Set sys.dont_write_bytecode = True for GLIB2 python scripts (1.82 KB, patch)
2018-12-27 12:28 UTC, Zoltan Boszormenyi
no flags Details | Diff
Updated glib2.spec to use the patch (21.00 KB, text/plain)
2018-12-27 12:30 UTC, Zoltan Boszormenyi
no flags Details

Description Zoltan Boszormenyi 2018-11-19 13:40:04 UTC
Description of problem:

$ LANG=C sudo dnf install glib2-devel.i686
Last metadata expiration check: 0:30:42 ago on Mon Nov 19 14:06:37 2018.
Dependencies resolved.
========================================================================================================================================================================
 Package                                   Arch                               Version                                        Repository                            Size
========================================================================================================================================================================
Installing:
 glib2-devel                               i686                               2.58.1-1.fc29                                  fedora                               465 k

Transaction Summary
========================================================================================================================================================================
Install  1 Package

Total size: 465 k
Installed size: 2.7 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] glib2-devel-2.58.1-1.fc29.i686.rpm: Already downloaded                                                                                                       
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/glib-2.0/codegen/__pycache__/codegen_docbook.cpython-37.opt-1.pyc from install of glib2-devel-2.58.1-1.fc29.i686 conflicts with file from package glib2-devel-2.58.1-1.fc29.x86_64


Version-Release number of selected component (if applicable):

$ rpm -q glib2-devel
glib2-devel-2.58.1-1.fc29.x86_64

How reproducible:

Always.

Steps to Reproduce:
1.
2.
3.

Actual results:

Multilib packages conflict.

Expected results:

Multilib packages should not conflict.

Additional info:

Comment 1 Martin 2018-12-10 04:23:38 UTC
Could this be a regression for the same bug that caused issue in Fedora 17 (see bug #718404)? It looks to have been fixed in Fedora 18, but I guess something got reverted.

I need this to build an old wine no longer in repo.

Comment 2 Zoltan Boszormenyi 2018-12-27 12:28:56 UTC
Created attachment 1517053 [details]
Set sys.dont_write_bytecode = True for GLIB2 python scripts

Comment 3 Zoltan Boszormenyi 2018-12-27 12:30:00 UTC
Created attachment 1517054 [details]
Updated glib2.spec to use the patch

Comment 4 Zoltan Boszormenyi 2018-12-27 12:35:00 UTC
With these changes, there are no __pycache__ directories in the
glib2-devel so the bytecompiled variants don't conflict.

# LANG=C dnf install /home/zozo/rpmbuild/RPMS/x86_64/glib2-2.58.2-2.fc29.x86_64.rpm /home/zozo/rpmbuild/RPMS/x86_64/glib2-devel-2.58.2-2.fc29.x86_64.rpm /var/lib/mock/fedora-29-i386/result/glib2-2.58.2-2.fc29.i686.rpm /var/lib/mock/fedora-29-i386/result/glib2-devel-2.58.2-2.fc29.i686.rpm
Last metadata expiration check: 0:21:39 ago on Thu Dec 27 13:03:35 2018.
Dependencies resolved.
==================================================================================================================================================================
 Package                                Arch                              Version                                   Repository                               Size
==================================================================================================================================================================
Installing:
 glib2-devel                            i686                              2.58.2-2.fc29                             @commandline                            426 k
Upgrading:
 glib2                                  x86_64                            2.58.2-2.fc29                             @commandline                            2.5 M
 glib2-devel                            x86_64                            2.58.2-2.fc29                             @commandline                            425 k
 glib2                                  i686                              2.58.2-2.fc29                             @commandline                            2.6 M

Transaction Summary
==================================================================================================================================================================
Install  1 Package
Upgrade  3 Packages

Total size: 5.9 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                          1/1 
  Upgrading        : glib2-2.58.2-2.fc29.x86_64                                                                                                               1/7 
  Upgrading        : glib2-devel-2.58.2-2.fc29.x86_64                                                                                                         2/7 
  Upgrading        : glib2-2.58.2-2.fc29.i686                                                                                                                 3/7 
  Installing       : glib2-devel-2.58.2-2.fc29.i686                                                                                                           4/7 
  Cleanup          : glib2-devel-2.58.2-1.fc29.x86_64                                                                                                         5/7 
  Cleanup          : glib2-2.58.2-1.fc29.i686                                                                                                                 6/7 
  Cleanup          : glib2-2.58.2-1.fc29.x86_64                                                                                                               7/7 
  Running scriptlet: glib2-2.58.2-1.fc29.x86_64                                                                                                               7/7 
  Running scriptlet: glib2-2.58.2-2.fc29.x86_64                                                                                                               7/7 
  Running scriptlet: glib2-2.58.2-2.fc29.i686                                                                                                                 7/7 
  Verifying        : glib2-devel-2.58.2-2.fc29.i686                                                                                                           1/7 
  Verifying        : glib2-2.58.2-2.fc29.x86_64                                                                                                               2/7 
  Verifying        : glib2-2.58.2-1.fc29.x86_64                                                                                                               3/7 
  Verifying        : glib2-devel-2.58.2-2.fc29.x86_64                                                                                                         4/7 
  Verifying        : glib2-devel-2.58.2-1.fc29.x86_64                                                                                                         5/7 
  Verifying        : glib2-2.58.2-2.fc29.i686                                                                                                                 6/7 
  Verifying        : glib2-2.58.2-1.fc29.i686                                                                                                                 7/7 

Upgraded:
  glib2-2.58.2-2.fc29.x86_64                          glib2-devel-2.58.2-2.fc29.x86_64                          glib2-2.58.2-2.fc29.i686                         

Installed:
  glib2-devel-2.58.2-2.fc29.i686                                                                                                                                  

Complete!
[root@zolilaptop ~]# rpm -qa "glib2*"
glib2-devel-2.58.2-2.fc29.x86_64
glib2-2.58.2-2.fc29.x86_64
glib2-devel-2.58.2-2.fc29.i686
glib2-2.58.2-2.fc29.i686

It is more valuable to have both glib2-devel.i686 and glib2-devel.x86_64
installed at the same time than have some speedup when running these
python scripts.

Comment 5 Ben Cotton 2019-10-31 20:15:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-11-27 20:29:59 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.